/* Schreibt ADC Werte  auf ein angeschlossenes LCD mit Hilfe der eigenen Include-Datei
 *
 *
 */

#include <avr/io.h>
#include "lcd_tools_b.h"
#include "adc.c"
#include <stdlib.h>



void programm_ini(void)
{
lcd_ini();
	lcd_writechar('>');
	lcd_gotopos (1, 2);
	lcd_writetext ("Volt-Anzeige");
	lcd_gotoline(2);
	lcd_writetext ("V 0.1");


}









int main(void)
{
uint16_t adcval;		//adc werte
double 		komma;
char 		texte[10];



programm_ini();
delay_ms(1000);
lcd_cls();



while(1)
{
	adcval = ReadChannel(0);
	lcd_gotoline (1);
	lcd_writetext ("A/D-Wert:");
	lcd_gotopos(1,11);
	lcd_writezahl(adcval ,4,1);
	lcd_gotoline (2);
	lcd_writetext ("Sp:");
	//komma = result * 5.0 / 1024.0;
	komma = adcval * 5.0 / 1024.0;
	dtostrf (komma, 5, 2, texte);

	lcd_gotopos(2,4);
	lcd_writetext(texte);
	delay_ms(100);


}

}



